Package org.springframework.http.codec

# Interface ServerSentEvent.Builder<T>

Type Parameters:
  `T` - the type of data that this event contains

Enclosing class:
  ServerSentEvent<T>

public static interface ServerSentEvent.Builder<T>
A mutable builder for a `ServerSentEvent`.

## Method Summary

Modifier and Type
Method
Description
`ServerSentEvent<T>`
`build()`
Builds the event.
`ServerSentEvent.Builder<T>`
`comment(String comment)`
Set SSE comment.
`ServerSentEvent.Builder<T>`
`data(T data)`
Set the value of the `data` field.
`ServerSentEvent.Builder<T>`
`event(String event)`
Set the value of the `event` field.
`ServerSentEvent.Builder<T>`
`id(String id)`
Set the value of the `id` field.
`ServerSentEvent.Builder<T>`
`retry(Duration retry)`
Set the value of the `retry` field.

## Method Details

### id

ServerSentEvent.Builder<T> id(String id)
Set the value of the `id` field.

Parameters:
  `id` - the value of the id field
Returns:
  `this` builder

### event

ServerSentEvent.Builder<T> event(String event)
Set the value of the `event` field.

Parameters:
  `event` - the value of the event field
Returns:
  `this` builder

### retry

ServerSentEvent.Builder<T> retry(Duration retry)
Set the value of the `retry` field.

Parameters:
  `retry` - the value of the retry field
Returns:
  `this` builder

### comment

ServerSentEvent.Builder<T> comment(String comment)
Set SSE comment. If a multi-line comment is provided, it will be turned into multiple SSE comment lines as defined in Server-Sent Events W3C recommendation.

Parameters:
  `comment` - the comment to set
Returns:
  `this` builder

### data

ServerSentEvent.Builder<T> data(@Nullable T data)
Set the value of the `data` field. If the `data` argument is a multi-line `String`, it will be turned into multiple `data` field lines as defined in the Server-Sent Events W3C recommendation. If `data` is not a String, it will be encoded into JSON.

Parameters:
  `data` - the value of the data field
Returns:
  `this` builder

### build

ServerSentEvent<T> build()
Builds the event.

Returns:
  the built event